using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadTreeviewExample_SL
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();

			this.radTree.PreviewDragEnded += new RadTreeViewDragEndedEventHandler(radTree_PreviewDragEnded);
		}

		void radTree_PreviewDragEnded(object sender, RadTreeViewDragEndedEventArgs e)
		{
			if ((e.DropPosition == DropPosition.After || e.DropPosition == DropPosition.Before)&& e.TargetDropItem == typea)
			{
				e.Handled = true;
			}

		}

	

	}
}

